# Interface methods for submodule: ShapeLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceLabelMapFilterProxy as _InPlaceLabelMapFilterProxy


# Interface methods for class: ShapeLabelMapFilter
class ShapeLabelMapFilterProxy(_InPlaceLabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetComputeFeretDiameter(self, _arg: bool) -> None:
		""""""
		...

	def GetComputeFeretDiameter(self) -> bool:
		""""""
		...

	def ComputeFeretDiameterOn(self) -> None:
		""""""
		...

	def ComputeFeretDiameterOff(self) -> None:
		""""""
		...

	def SetComputePerimeter(self, _arg: bool) -> None:
		""""""
		...

	def GetComputePerimeter(self) -> bool:
		""""""
		...

	def ComputePerimeterOn(self) -> None:
		""""""
		...

	def ComputePerimeterOff(self) -> None:
		""""""
		...

	def SetComputeOrientedBoundingBox(self, _arg: bool) -> None:
		""""""
		...

	def GetComputeOrientedBoundingBox(self) -> bool:
		""""""
		...

	def ComputeOrientedBoundingBoxOn(self) -> None:
		""""""
		...

	def ComputeOrientedBoundingBoxOff(self) -> None:
		""""""
		...

	def SetLabelImage(self, input) -> None:
		""""""
		...

